/**
 * Middleware для проверки, является ли пользователь администратором
 * Должен использоваться после middleware авторизации (protect),
 * который добавляет req.user
 */
const adminMiddleware = (req, res, next) => {
  // Проверяем, есть ли пользователь (должен быть добавлен в middleware авторизации)
  if (!req.user) {
    return res.status(401).json({ message: 'Не авторизован' });
  }

  // Проверяем, является ли пользователь администратором
  if (!req.user.isAdmin) {
    return res.status(403).json({ message: 'Доступ запрещен. Требуются права администратора' });
  }

  // Если пользователь администратор, продолжаем выполнение запроса
  next();
};

module.exports = adminMiddleware;